export declare enum LogLevel {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    DEBUG = 3
}
export declare class Log {
    static debug: (message: any, method?: string, clz?: string) => void;
    static error: (message: any, method?: string, clz?: string) => void;
    static info: (message: any, method?: string, clz?: string) => void;
    static warn: (message: any, method?: string, clz?: string) => void;
    private static _logLevel;
    static logLevel(level: LogLevel): void;
    static isEnabled(level: LogLevel): boolean;
    static init: void;
    private static log;
    static prettyPrint(o: any): string;
    static formatRecString(o: any): string;
}
